// Verilog definition of TB3
// created by TB

module TB3(N71, N72, N73, N74, N75, N76, N77, N78);
input N71;
input N72;
input N73;
input N74;
input N75;
output N76;
output N77;
output N78;

  wire N82;
  wire N83;
  wire N85;
  wire N88;
  wire N92;
  wire N98;

  xor2 ix35(N72, N74, N78);
  xnor2 ix33(N82, N83, N77);
  mux21_ni ix25(N85, N72, N74, N88);
  inv02 ix107(N75, N85);
  xnor2_2x ix109(N71, N92, N83);
  xnor2_2x ix111(N75, N73, N92);
  xnor2 ix31(N75, N98, N76);
  mux21_ni ix29(N82, N92, N83, N98);
  buf02 ix118(N88, N82);

endmodule
